unit RestMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Compress, Segment, StdCtrls, Buttons;

type
  TRestForm = class(TForm)
    Label1: TLabel;
    EBase: TEdit;
    Label2: TLabel;
    EDir: TEdit;
    RestoreBtn: TBitBtn;
    SegCompEZ: TSegCompEZ;
    StatusBar: TStatusBar;
    procedure SegCompEZSegBeforeExpand(var SegArcList: TSegArcList);
    procedure SegCompEZCheckFile(var filepath: String;
      mode: TCProcessMode);
    procedure FormCreate(Sender: TObject);
    procedure RestoreBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  RestForm: TRestForm;

implementation

{$R *.DFM}

procedure TRestForm.FormCreate(Sender: TObject);
begin
     EBase.Text := SegCompEZ.SegBaseName;
     EDir.Text := SegCompEZ.SegDir;
end;

procedure TRestForm.RestoreBtnClick(Sender: TObject);
begin
     with SegCompEZ do
       begin
       SegBaseName := EBase.Text;
       SegDir := EDir.Text;
       SegSource.Clear;
       Expand;
       end;
end;

procedure TRestForm.SegCompEZSegBeforeExpand(var SegArcList: TSegArcList);
var
    SArc:          TSegArc;
    NewTarget:     String;
begin
     SArc := TSegArc(SegArcList.Items[0]);
     NewTarget := SArc.Target;
     if (InputQuery('Enter New Target','New Target:',NewTarget) = True) then
       begin
       if (NewTarget <> '') then
         begin
         if (NewTarget[Length(NewTarget)] <> '\') then
           NewTarget := NewTarget + '\';
         SArc.Target := NewTarget;
         end;
       end;
end;

procedure TRestForm.SegCompEZCheckFile(var filepath: String;
  mode: TCProcessMode);
begin
     StatusBar.Panels[0].Text := 'Restored: ' + filepath;
end;

end.
