unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Menus, ExtCtrls, ComCtrls, Compress, Segment;

type
  TDelForm = class(TForm)
    StatusBar: TStatusBar;
    Panel1: TPanel;
    Panel2: TPanel;
    LB: TListBox;
    CloseBtn: TBitBtn;
    procedure LBKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure CloseBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure EntryPoint( SArc: TSegArc );
  end;

var
  DelForm: TDelForm;

implementation

{$R *.DFM}

procedure TDelForm.EntryPoint( SArc: TSegArc );
var
  i:    Integer;
begin
     LB.Clear;
     for i := 0 to SArc.SL.Count-1 do
       LB.Items.Add(SArc.SL[i]);
     StatusBar.Panels[0].Text := 'Delete any unwanted files, then press Close';
     ShowModal;
     SArc.SL.Clear;
     for i := 0 to LB.Items.Count-1 do
       SArc.SL.Add(LB.Items[i]);
end;

procedure TDelForm.LBKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
    i:    Integer;
begin
     if (Key = VK_DELETE) then
       begin
       while (LB.SelCount > 0) do
         begin
         for i := 0 to LB.Items.Count-1 do
           if (LB.Selected[i] = TRUE) then
             begin
             LB.Items.Delete(i);
             break;
             end;
         end;
       end;
end;

procedure TDelForm.CloseBtnClick(Sender: TObject);
begin
     Close;
end;

end.
